[P058]Edit Patent Monitor Project
Edit patent monitor project by query.
Request Parameters
List of parameters supported by this API endpoint
| Name | Type | Example | Description |
|---|---|---|---|
Required | string | 7f22ee78764149b481314b1fa60dca0c | monitor project ID |
| string | ANC:(智慧芽) | query of the monitor project |
| string | new,invention,legal | 1.New patents(new):Alert when a new patent matching the search query is published
2.New invention(invention):Alert when a new patent that does not belong to an existing family is published
3.Legal status(legal):Alert when patent legal status changes
4.Assignment(transfer):Alert if the current assignee of the patent changes
5.Upcoming expiry date(expired):Alert when patents are within 30 days of the estimated expiry date
6.Licensing(license):Alert when licensing information has been updated
7.Litigation(litigation):Alert when litigation information has been updated
Please enter the parameter, multiple selections are allowed, and the multiple monitored items are separated by ,. |
| string | Intelligent bud company monitoring | monitor name or tag, up to 50 characters |
Response Schema
Structure of the API response data
| Field Name | Type | Example | Description |
|---|---|---|---|
data | object | - | response data |
statusRequired | boolean | false | Status |
error_msg | string | The request parameter format is incorrect! | Error Message |
error_codeRequired | integer | 0 | Error Code |
Success Response Example
Example of a successful API response
JSON
{
"status": true,
"error_code": 0
}Error Codes
List of possible error codes returned by this endpoint
Business Errors
| Error Code | Description |
|---|---|
68300004 | Invalid parameter! |
68300005 | Search api failure! |
68300006 | Analytic basic access error! |
68300007 | Bad request! |
68300008 | Service error, please try again later! |
68300010 | The file does not comply with upload specifications! |
Platform Errors
| Error Code | Description |
|---|---|
67200001 | API call exceeds the total limit set by the platform! |
67200002 | Quota exceeds the limit! |
67200003 | Access token expired or authentication error! |
67200004 | No permission or API package quota has exceeded the limit! |
67200005 | Insufficient balance, call failed! |
67200006 | This client has expired and call failed! |
67200007 | Exceeded the call limit, call failed! |
HTTP Status Codes
| Status Code | Description |
|---|---|
0 | Success |